<?php $__env->startSection('content'); ?>

    <section class="content">
        <div class="row">
            <div style="padding: 15px; float: right">
                <a href="<?php echo e(route('intranet.createReservation')); ?>"><button class="btn btn-primary">Enregistrer une reservation</button></a>
            </div>
            <!-- left column -->
            <div class="col-md-12">

                <!-- general form elements -->
                <div class="box box-primary">


                    <div class="box-header with-border">
                        <h3 class="box-title">Reservations</h3>
                    </div>
                    <div class="box-body">
                        <table id="datatable" class="table table-bordered table-striped">
                            <thead>
                            <tr>
                                <th>Client</th>
                                <th>Véhicule</th>
                                <th>Chauffeur</th>
                                <th>Date début</th>
                                <th>Date retour</th>
                                <th>Montant</th>
                                <th>Facture</th>
                                <th>Actions</th>
                            </tr>
                            </thead>
                            <tbody>
                            <?php $__currentLoopData = $reservations; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $reservation): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td>
                                        <a href="<?php echo e(route('intranet.showCustomer', [$reservation->user->id, $reservation->user->type])); ?>" target="_blank">
                                            <?php echo e($reservation->user->name); ?>

                                        </a>
                                    </td>
                                    <td>
                                        <?php
                                            foreach ($reservation->car->carfiles as $carfile){
                                                $imageName = $carfile->name;
                                                break;
                                            }
                                        ?>
                                        <a href="<?php echo e(route('intranet.showCar', $reservation->car->id)); ?>" target="_blank">
                                            
                                            <?php echo e($reservation->car->id); ?> - <b><?php echo e($reservation->car->mark->name); ?></b> - <?php echo e($reservation->car->carmodel->name); ?> - <?php echo e($reservation->car->cartype->name); ?>

                                            <?php if($reservation->express): ?>
                                                <br>
                                                <i style="font-size: 12px !important; color: gray"><i class="fa fa-arrow-right" style="font-size: 12px !important;"></i> <?php echo e($reservation->express); ?></i>
                                            <?php endif; ?>
                                        </a>
                                    </td>
                                    <td> <?php if($reservation->driver): ?> Avec <?php else: ?> Sans <?php endif; ?></td>
                                    <td><?php echo e($reservation->date_start->format('d-m-Y H:i:s')); ?></td>
                                    <td><?php echo e($reservation->date_back->format('d-m-Y H:i:s')); ?></td>
                                    <td><?php echo e($reservation->amount); ?></td>
                                    <td>
                                        <?php
                                            $invoice_download = null;
                                            foreach($invoices as $invoice){
                                                if($invoice->reservation_id == $reservation->id){
                                                    $invoice_download = $invoice;
                                                    break;
                                                }
                                            }
                                        ?>

                                        <?php if($invoice_download): ?>
                                            <a href="<?php echo e(route('extranet.downloadInvoice', [$invoice_download->reservation_id, $invoice_download->mode, 'reservation'])); ?>" target="_blank"><i class="fa fa-arrow-circle-down"></i></a>
                                        <?php else: ?>
                                            
                                            
                                            <a href="#" class="local" data-toggle="modal" data-target="#preview-modal" data-id="<?php echo e($reservation->id); ?>"><i class="fa fa-address-card"></i></a>
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if($reservation->date_back->lte(new \Carbon\Carbon()) AND $invoice_download): ?>
                                            <a href="<?php echo e(route('intranet.backReservation', $reservation->id)); ?>"><i class="fa fa-undo"></i></a>
                                        <?php endif; ?>
                                        <a href="<?php echo e(route('intranet.editReservation', $reservation->id)); ?>"><i class="fa fa-edit"></i></a>
                                        <?php if(!$reservation->busy()): ?> <a href="<?php echo e(route('intranet.deleteReservation', $reservation->id)); ?>"><i class="fa fa-trash"></i></a> <?php endif; ?>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </tbody>
                        </table>
                    </div>
                    <!-- /.box-body -->
                </div>
            </div>
        </div>
    </section>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
    <script>

        var done = false

        var currentPage = window.location.href.split('&')

        if (currentPage[1] && !done){
            var tabId = currentPage[1].split('=')
            var tabMode = currentPage[2].split('=')

            var Id = tabId[1]
            var Mode = tabMode[1]

            saveInvoice(Id, Mode)
        }

        function saveInvoice(id, mode){
            $.post('<?php echo e(route('intranet.storeInvoice')); ?>',
                {
                    _token : '<?php echo e(csrf_token()); ?>',
                    id : id,
                    mode : mode,
                    type : 'reservation'
                }, function (rsp) {
                    console.log(rsp)
                    done = true
                    window.location = '/intranet/reservation'
                })
        }

        $('.paypal').each(function(){
            $(this).click(function(){
                var id = $(this).attr('data-id');
                $('#preview-invoice').attr('src', 'invoice/preview/'+id+'/paypal/reservation')
                $.post('invoice/getdatas/'+id+'/paypal/reservation', {_token : '<?php echo e(csrf_token()); ?>'}, function (rsp) {
                    $('#phone-number').val(rsp.telephone)
                    $('#amount').val(rsp.total)
                    $('#id').val('reservation-paypal-'+$.now())
                    $('#mode').val('paypal')
                    $('#id-type').val(rsp.id)
                    $('#type').val('reservation')
                    setPaypalUrl()
                })
            })
        })
        $('.flooz').each(function(){
            $(this).click(function(){
                var id = $(this).attr('data-id');
                $('#preview-invoice').attr('src', 'invoice/preview/'+id+'/flooz/reservation')
                $.post('invoice/getdatas/'+id+'/flooz/reservation', {_token : '<?php echo e(csrf_token()); ?>'}, function (rsp) {
                    $('#phone-number').val(rsp.telephone)
                    $('#amount').val(1)
                    $('#id').val('reservation-flooz-'+$.now())
                    $('#mode').val('flooz')
                    $('#id-type').val(rsp.id)
                    $('#type').val('reservation')
                    setFormUrl()
                })
            })
        })
        $('.tmoney').each(function(){
            $(this).click(function(){
                var id = $(this).attr('data-id');
                $('#preview-invoice').attr('src', 'invoice/preview/'+id+'/tmoney/reservation')
                $.post('invoice/getdatas/'+id+'/tmoney/reservation', {_token : '<?php echo e(csrf_token()); ?>'}, function (rsp) {
                    $('#phone-number').val(rsp.telephone)
                    $('#amount').val(1)
                    $('#id').val('reservation-tmoney-'+$.now())
                    $('#mode').val('tmoney')
                    $('#id-type').val(rsp.id)
                    $('#type').val('reservation')
                    setFormUrl()
                })
            })
        })

        $('.local').each(function(){
            $(this).click(function(){
                var id = $(this).attr('data-id');
                $('#preview-invoice').attr('src', 'invoice/preview/'+id+'/local/reservation')
                $.post('invoice/getdatas/'+id+'/local/reservation', {_token : '<?php echo e(csrf_token()); ?>'}, function (rsp) {
                    $('#phone-number').val(rsp.telephone)
                    $('#amount').val(1)
                    $('#id').val('reservation-local-'+$.now())
                    $('#mode').val('local')
                    $('#id-type').val(rsp.id)
                    $('#type').val('reservation')
//                    setFormUrl()
                })
            })
        })

        function setFormUrl(){
            //            METHODE 1
//            var url = 'https://paygateglobal.com/api/v1/pay';
//            var auth_token = "a81d1e51-bf4c-4fa1-ad94-ef30eb442c58"
//            var phone_number = $('#phone-number').val()
//            var amount = $('#amount').val()
//            var description = ''
//            var identifier = $('#id').val()
//
//            $.post(url,
//                {
//                    auth_token:auth_token,
//                    phone_number:phone_number,
//                    amount:amount,
//                    description:description,
//                    identifier:identifier
//                },
//                function(rsp){
//                    console.log('reference === '+rsp.tx_reference)
//                    console.log('status === '+rsp.status)
//                }
//            )

//          METHODE 2
            var baseUrl = 'https://paygateglobal.com/v1/page';
            var token = "a81d1e51-bf4c-4fa1-ad94-ef30eb442c58"
            var amount = $('#amount').val()
            var description = 'test'
            var identifier = $('#id').val()
            var url = encodeURIComponent('<?php echo e(env('URL', 'http://localhost:8000')); ?>/intranet/reservation?status=success&id='+$('#id-type').val()+'&mode='+$('#mode').val()+'&type=reservation')
            var urlString = baseUrl+'?token='+token+'&amount='+amount+'&description='+description+'&identifier='+identifier+'&url='+url

            $('.form-paid').attr('href', urlString)
        }

        function setPaypalUrl(){
            
            var amount = $('#amount').val()
            var url = '../payment/paypal/'+amount

            $('.form-paid').attr('href', url)
        }

        function saveInvoice(){
            $.post('<?php echo e(route('intranet.storeInvoice')); ?>',
                {
                    _token : '<?php echo e(csrf_token()); ?>',
                    id : $('#id-type').val(),
                    mode : $('#mode').val(),
                    type : 'reservation'
                }, function (rsp) {
                    location.reload(true)
                })
        }

        $('.form-paid').click(function () {
            saveInvoice()
        })


    </script>
    
        
            
                
                
                    
                        
                            
                        
                    
                
            
        
    
<?php $__env->stopPush(); ?>
<?php echo $__env->make('intranet.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>