<?php $__env->startSection('content'); ?>
    <section class="content">
        <div class="row">
            <!-- left column -->
            <div class="col-md-12">
                <!-- general form elements -->
                <div class="box box-primary">
                    <div class="box-header with-border">
                        <h3 class="box-title">Enregistrer une Reservation</h3>
                    </div>
                    <form role="form" action="<?php echo e(route('intranet.storeReservation')); ?>" method="POST" enctype="multipart/form-data">
                        <?php echo csrf_field(); ?>

                        <div class="box-body">
                            <div class="form-group">
                                <label for="exampleInputPassword1">Client</label>
                                <br>
                                <select name="user_id" id="" <?php if($currentCustomer): ?> disabled <?php endif; ?>>
                                    <br>
                                    <?php $__currentLoopData = $customers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $customer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($customer->id); ?>" <?php if($currentCustomer AND $currentCustomer->id == $customer->id): ?> selected <?php endif; ?>><?php echo e($customer->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php if($currentCustomer): ?>
                                    <input type="hidden" value="<?php echo e($currentCustomer->id); ?>" name="user_id">
                                <?php endif; ?>
                            </div>
                            <div class="form-group">
                                <label for="exampleInputFile">Véhicule</label>
                                <br>
                                <select name="car_id" id="" <?php if($currentCar): ?> disabled <?php endif; ?>>
                                    <?php $__currentLoopData = $cars; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $car): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($car->id); ?>" <?php if($currentCar AND $currentCar->id == $car->id): ?> selected <?php endif; ?>><?php echo e($car->id); ?> - <strong><?php echo e($car->mark->name); ?></strong> - <?php echo e($car->carmodel->name); ?> - <?php echo e($car->cartype->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php if($currentCar): ?>
                                    <input type="hidden" value="<?php echo e($currentCar->id); ?>" name="car_id">
                                <?php endif; ?>
                            </div>
                            <label for=""><b>Express</b></label>
                            <div class="form-group">
                                <input type="radio" name="express" value="lome_accra"> Lomé - Accra - Lomé
                            </div>
                            <div class="form-group">
                                <input type="radio" name="express" value="lome_cotonou"> Lomé - Cotonou - Lomé
                            </div>
                            <div class="form-group">
                                <?php if($errors->any()): ?>
                                    <h6 style="color: orangered"> <i class="fas fa-exclamation-triangle"></i> <?php echo e($errors->first()); ?></h6>
                                <?php endif; ?>
                                <br>
                                <label for="exampleInputFile"><b>Chauffeur</b></label>
                                <br>
                                <select name="driver_id" id="">
                                    <option value="1">- Avec chauffeur -</option>
                                    <option value="">- Sans chauffeur -</option>
                                </select>
                            </div>
                            <div class="form-group" id="cautionBloc" style="display: none; color: #2caadd">
                                <label>Caution :</label>
                                <b id="caution"></b>
                                <p><i style="font-size: 12px; color: gray">* Malgré les frais de caution, le véhicule peut ne pas être loué</i></p>
                            </div>
                            <div class="form-group" id="tarifBloc" style="color: #2caadd">
                                <label>Tarif journalier du chauffeur :</label>
                                <b><?php echo e($rate->no_driver_rate); ?> FCFA</b>
                            </div>
                            <div class="form-group">
                                <label>Date de début</label>
                                <input type="text" name="date_start" class="datepicker form-control"  placeholder="Entrez la date de début" required>
                            </div>
                            <div class="form-group">
                                <label>Date de retour</label>
                                <input type="text" name="date_back" class="datepicker form-control"  placeholder="Entrez la date de retour" required>
                            </div>
                            
                                
                                
                            

                            <div class="box-footer">
                                <button type="submit" class="btn btn-primary">Enregistrer</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </section>
<?php $__env->stopSection(); ?>

<?php $__env->startPush('scripts'); ?>
    <script>
        $('[name="driver_id"]').change(function(){
            var self = $(this).val()
            if(self === ""){
                $('#cautionBloc').show()
                $('#tarifBloc').hide()
            }else{
                $('#cautionBloc').hide()
                $('#tarifBloc').show()
            }
        })

        $('[name="car_id"]').change(function(){
            $.post("<?php echo e(route('intranet.bailCarAjax')); ?>", {_token : "<?php echo e(csrf_token()); ?>", id : $(this).val()}, function(rsp){
                $('#caution').html(rsp+' FCFA')
            })
        }).trigger('change');
    </script>
<?php $__env->stopPush(); ?>

<?php echo $__env->make('intranet.layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), array('__data', '__path')))->render(); ?>